Bug 10119 - Calculation of fines on return needs to be documented
Summary: Calculation of fines on return needs to be documented
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-25 19:30 UTC by Katrin Fischer
Modified: 2016-12-05 21:23 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10119: Add note about CalculateFinesOnReturn to description of finesmode (1.45 KB, patch)
2015-06-08 01:01 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10119: Add note about CalculateFinesOnReturn to description of finesmode (1.61 KB, patch)
2015-06-14 03:16 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 10119: Add note about CalculateFinesOnReturn to description of finesmode (1.68 KB, patch)
2015-06-16 08:40 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-04-25 19:30:38 UTC
There is a major change in how fines work in that they are recalculated on return of the item.

That should at least be reflected in the syspref finesmode, nicer would be a separate switch.

finesmode currently reads:
[Calculate and charge] fines (when misc/cronjobs/fines.pl is being run).
Comment 1 Katrin Fischer 2013-04-25 19:56:17 UTC
On further discussing this on IRC, we got some votes on recalculation being optional. finesmode could still have a note mentioning that not only the fines.pl cronjob can accrue fines.
Comment 2 Katrin Fischer 2015-06-08 01:01:19 UTC Comment hidden (obsolete)
Comment 3 M. Tompsett 2015-06-14 03:16:08 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-06-16 08:40:46 UTC
Created attachment 40163 [details] [review]
Bug 10119: Add note about CalculateFinesOnReturn to description of finesmode

This adds a note to the descrpition of the finesmode system
preference mentioning that CalculateFinesOnReturn is another
option for charging fines:

Note: Fines can also be charged by the CalculateFinesOnReturn system preference.

To test:
- Search for the finesmode system preference
- Verify the new text shows and is correct

NOTE: New text appears as expected. You can also just scroll for
      it on the Circulation preferences tab.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 5 Tomás Cohen Arazi 2015-06-22 14:42:20 UTC
Patch pushed to master.

Thanks Katrin!
Comment 6 Chris Cormack 2015-07-06 21:23:50 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 7 Liz Rea 2015-07-20 22:08:07 UTC
Pushed to 3.18.x will be in 3.18.09
Comment 8 Mason James 2015-07-25 12:52:53 UTC
Contains string changes, holding till 3.16.14